Bug 1054244 - ODBC drivers not working on Solaris 10 (neither SPARC nor x86)
Summary: ODBC drivers not working on Solaris 10 (neither SPARC nor x86)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: 3rd Party
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Van Halbert
QA Contact: Len DiMaggio
URL:
Whiteboard:
Depends On: SOA-3054
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 14:00 UTC by Filip Nguyen
Modified: 2014-07-09 05:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Users are finding that the ODBC drivers are not working when using JBoss Data Virtualization on Solaris 10.
Clone Of:
Environment:
Last Closed: 2014-02-12 18:34:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Filip Nguyen 2014-01-16 14:00:49 UTC
I was able to make the drivers work on Solaris 11 Sparc. 

But on Solaris 10, I cannot make it work. I cannot get past the listing of ODBC Sources using odbcinst. See [3]. I am using [1] and platform is [2] 

[1] 
http://www.qa.jboss.com/xbuildroot/packages/ep6/jboss-dv-psqlodbc/6.0.0/2.sun10/sparc64/jboss-dv-psqlodbc-6.0.0-2.sun10.sparc64.zip

[2]
root@dsp04.mw.lab.eng.bos.redhat.com # cat /etc/release
                       Solaris 10 11/06 s10s_u3wos_10 SPARC
           Copyright 2006 Sun Microsystems, Inc.  All Rights Reserved.
                        Use is subject to license terms.
                           Assembled 14 November 2006


[3] 
root@dsp04.mw.lab.eng.bos.redhat.com # which odbcinst isql
/opt/redhat/jboss-dv/v6/psqlodbc/bin/odbcinst
/opt/redhat/jboss-dv/v6/psqlodbc/bin/isql
root@dsp04.mw.lab.eng.bos.redhat.com # cat /opt/redhat/jboss-dv/v6/psqlodbc/etc/odbc.ini 
[ODBC Data Sources]
eds = ODBCSample

[eds]
Driver = /opt/redhat/jboss-dv/v6/psqlodbc/lib64/psqlodbc.so
Description = PostgreSQL Data Source
DSN = eds
Servername = localhost
Port = 35432
Protocol = 7.4
UserName = user
Password = user
Database = loop
ReadOnly = no
ServerType = Postgres
FetchBufferSize = 99
ConnSettings =
Debug = 0
CommLog = 0
SslMode = disable

root@dsp04.mw.lab.eng.bos.redhat.com # file /opt/redhat/jboss-dv/v6/psqlodbc/lib64/psqlodbc.so
/opt/redhat/jboss-dv/v6/psqlodbc/lib64/psqlodbc.so:     ELF 64-bit MSB dynamic lib SPARCV9 Version 1, dynamically linked, not stripped
root@dsp04.mw.lab.eng.bos.redhat.com # ldd /opt/redhat/jboss-dv/v6/psqlodbc/lib64/psqlodbc.so
        libsocket.so.1 =>        /lib/64/libsocket.so.1
        libnsl.so.1 =>   /lib/64/libnsl.so.1
        librt.so.1 =>    /lib/64/librt.so.1
        libresolv.so.2 =>        /lib/64/libresolv.so.2
        libssl.so.0 =>   /opt/redhat/jboss-dv/v6/psqlodbc/lib64//libssl.so.0
        libpq.so.5 =>    /opt/redhat/jboss-dv/v6/psqlodbc/lib64//libpq.so.5
        libpthread.so.1 =>       /lib/64/libpthread.so.1
        libodbcinst.so.2 =>      /opt/redhat/jboss-dv/v6/psqlodbc/lib64//libodbcinst.so.2
        libthread.so.1 =>        /lib/64/libthread.so.1
        libc.so.1 =>     /lib/64/libc.so.1
        libmp.so.2 =>    /lib/64/libmp.so.2
        libmd.so.1 =>    /lib/64/libmd.so.1
        libscf.so.1 =>   /lib/64/libscf.so.1
        libaio.so.1 =>   /lib/64/libaio.so.1
        libcrypto.so.0 =>        /opt/redhat/jboss-dv/v6/psqlodbc/lib64//libcrypto.so.0
        libdl.so.1 =>    /lib/64/libdl.so.1
        libdoor.so.1 =>  /lib/64/libdoor.so.1
        libuutil.so.1 =>         /lib/64/libuutil.so.1
        libgen.so.1 =>   /lib/64/libgen.so.1
        libm.so.2 =>     /lib/64/libm.so.2
        /platform/SUNW,SPARC-Enterprise-T1000/lib/sparcv9/libc_psr.so.1
        /platform/SUNW,SPARC-Enterprise-T1000/lib/sparcv9/libmd_psr.so.1
root@dsp04.mw.lab.eng.bos.redhat.com # odbcinst -q -d 
odbcinst: SQLGetPrivateProfileString failed with Unable to find component name.
root@dsp04.mw.lab.eng.bos.redhat.com # odbcinst -q -s
odbcinst: SQLGetPrivateProfileString failed with .


Note You need to log in before you can comment on or make changes to this bug.